Bug 462668 - PDF: inconsistent numbering for ulinks and footnotes
PDF: inconsistent numbering for ulinks and footnotes
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Michael Hideo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-17 22:09 EDT by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.39
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-18 20:35:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
page 5, wrong numbering (20.72 KB, image/png)
2008-09-17 22:10 EDT, Murray McAllister
no flags Details
page 19, wrong numbering (29.24 KB, image/png)
2008-09-17 22:10 EDT, Murray McAllister
no flags Details

  None (edit)
Description Murray McAllister 2008-09-17 22:09:04 EDT
Description of problem:
Numbering for ulinks and footnotes are inconsistent.

Version-Release number of selected component (if applicable):
* Red Hat Enterprise Linux Client release 5.2 (Tikanga)
* publican-0.37-0.el5
* publican-fedora-0.15-0.el5
* fop-0.95-0.2.beta1.rh1.el5
* saxon-6.5.5-1jpp.3.el5
* java-1.5.0-sun-1.5.0.15-1jpp.2.el5
* evince-0.6.0-8.el5
* Firefox 3.0.1 <http://www.mozilla.com/en-US/>

How reproducible:
Always for the book mentioned below.

Steps to Reproduce:
1. "svn co http://svn.fedorahosted.org/svn/selinuxguide"
2. "cd selinuxguide/community/trunk/SELinux_User_Guide; make html-en-US; make pdf-en-US"
  
Actual results:
In this example, the counting for ulinks and footnotes is reset after each chapter (makes sense). There are a few instances where this is not the case, and the numbering is off.

PDF:

* see the last bullet point on page 5, "Risk report: Three years of Red Hat Enterprise Linux 4[910]". This is a ulink followed by a footnote. It should be [8]. See pdf0.png

See the bottom of page 19: "Managing Software with yum[23]". [23] should be [1]. The footnote with [23] is numbered [3] instead of [23] or [1]. See pdf1.png

Screenshots taken from evince-0.6.0-8.el5

Expected results:
Number to be consistent (or at least no allowed to go up to [900]).

Additional info:
Same results when viewed with Adobe Reader.

<http://icanhascheezburger.files.wordpress.com/2008/09/funny-pictures-kitten-looks-for-bugs-in-your-computer.jpg>
Comment 1 Murray McAllister 2008-09-17 22:10:00 EDT
Created attachment 317025 [details]
page 5, wrong numbering
Comment 2 Murray McAllister 2008-09-17 22:10:44 EDT
Created attachment 317026 [details]
page 19, wrong numbering
Comment 3 Jeff Fearn 2008-09-17 22:31:03 EDT
The issue here is that there isn't a space or comma between the two numbers.

e.g.

On page 5: link 9 is for the ulink, link 10 is for the footnote.
On page 19: link 2 is for the ulink, link 3 is for the footnote.

I'm not sure this is a practice we wish to support. Assigning to the great Editor in Chief for his input.
Comment 5 Jeff Fearn 2008-11-18 20:35:23 EST
Resized footnote ref number and added padding to prevent numbers collapsing together.
Comment 6 Fedora Update System 2009-01-14 21:57:00 EST
publican-0.39-0.fc9, publican-fedora-0.16-0.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.